import request from '@/utils/request'

// 查询工序信息列表
export function listProcessInfo(query) {
  return request({
    url: '/mes/base/processInfo/list',
    method: 'get',
    params: query
  })
}

// 查询工序信息详细
export function getProcessInfo(objId) {
  return request({
    url: '/mes/base/processInfo/' + objId,
    method: 'get'
  })
}

// 新增工序信息
export function addProcessInfo(data) {
  return request({
    url: '/mes/base/processInfo',
    method: 'post',
    data: data
  })
}

// 修改工序信息
export function updateProcessInfo(data) {
  return request({
    url: '/mes/base/processInfo',
    method: 'put',
    data: data
  })
}

// 删除工序信息
export function delProcessInfo(objId) {
  return request({
    url: '/mes/base/processInfo/' + objId,
    method: 'delete'
  })
}
